{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        <div class="d-none d-md-block col-md-5 p-0">
            <div class="d-flex border-primary h-100">
                <img src="{{ asset('images/default_1.webp') }}" class="card-img-top position-absolute opacity-20 h-100" alt="...">
                <div class="text-white z-index-10 m-5 p-xl-5">
                    <div class="h2">Pas encore de compte ?</div>
                    <a href="{{ path('app_register') }}" class="btn btn-info">Se créer un compte</a>
                    <ul class="list-unstyled mt-2">
                        <li class="font-weight-bold">Qui peut se créer un compte ?</li>
                        <li class="font-italic">Tout le monde</li>
                    </ul>
                    <ul class="list-unstyled mt-2">
                        <li class="font-weight-bold">Pourquoi se créer un compte ?</li>
                        <li class="font-italic">Avoir un espace personnel récapitulant toutes les inscriptions que vous avez faites</li>
                        <li class="font-italic">Pouvoir s'inscrire en un clic aux événements</li>
                        <li class="font-italic">Modifier ses inscriptions</li>
                        <li class="font-italic"></li>
                    </ul>
                    <ul class="list-unstyled mt-2">
                        <li class="font-weight-bold">Quelles informations sont enregistrées ?</li>
                        <li class="font-italic">Au minimum, seulement votre adresse email et votre mot de passe chiffré</li>
                        <li class="font-italic">Possibilité d'ajouter son prénom et nom</li>
                        <li class="font-italic">Egalement renseigner son numéro de licence FFCO pour l'inscription rapide</li>
                        <li class="font-italic"></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-7 col-lg-5 offset-lg-1 my-4">
            <h1>Se connecter</h1>
            <form method="post">
                {% if error %}
                    <div class="alert alert-danger">
                        <strong>Erreur</strong> <p>Veuillez vérifier les informations saisies et réessayer</p>
                    </div>
                {% endif %}

                <div class="form-group">
                    <label for="inputEmail"><i class="fa fa-at"></i> Adresse e-mail</label>
                    <input type="email" value="{{ last_username }}" name="_username" id="username" class="form-control {{ error ? 'is-invalid' }}" placeholder="Adresse e-mail" required autofocus>

                </div>
                <div class="form-group">
                    <label for="inputPassword"><i class="fa fa-key"></i> Mot de passe</label>
                    <input type="password" name="_password" id="password" class="form-control {{ error ? 'is-invalid' }}" placeholder="Mot de passe" required>
                    <small id="emailHelp" class="form-text text-muted">Mot de passe oublié ? <a href="{{ path('app_request_reset') }}">Réinitialiser votre mot de passe</a></small>
                </div>
                <div class="form-group form-check">
                    <input type="checkbox" class="form-check-input" id="_remember_me" name="_remember_me" checked>
                    <label class="form-check-label" for="_remember_me">Rester connecté</label>
                </div>
                <button type="submit" class="btn btn-lg btn-primary">Se connecter</button>

                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
            </form>
        </div>
    </div>
</div>
{% endblock %}
